# sf::SoundStream::SoundStream::Chunk Struct Reference

Structure defining a chunk of audio data to stream. More...

`#include <SoundStream.hpp>`

List of all members.

## Public Attributes

const Int16 * | Samples
| Pointer to the audio samples.
std::size_t | NbSamples
| Number of samples pointed by Samples.

## Detailed Description

Structure defining a chunk of audio data to stream.

Definition at line 69 of file SoundStream.hpp.

## Member Data Documentation

std::size_t sf::SoundStream::SoundStream::Chunk::NbSamples

Number of samples pointed by Samples.

Definition at line 72 of file SoundStream.hpp.

const Int16* sf::SoundStream::SoundStream::Chunk::Samples

Pointer to the audio samples.

Definition at line 71 of file SoundStream.hpp.

The documentation for this struct was generated from the following file:

- SoundStream.hpp